Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.group
Class DefaultGappedSequenceGroup

    java.lang.Object
      |
      +--uk.ac.man.bioinf.sequence.group.AbstractGappedSequenceGroup
            |
            +--uk.ac.man.bioinf.sequence.group.DefaultGappedSequenceGroup

All Implemented Interfaces:
  GappedSequenceGroup, SequenceGroup

public class DefaultGappedSequenceGroup
extends AbstractGappedSequenceGroup

DefaultGappedSequenceGroup.java Created: Thu Jun 1 18:33:14 2000

Version:
  $Id: DefaultGappedSequenceGroup.java,v 1.5 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`DefaultGappedSequenceGroup()`

Method Summary
`void` | `addSequenceToGroup(Sequence seq)` Adds a sequence to this group
`void` | `clearSequences()` Empty the group of sequences
`boolean` | `containsSequence(Sequence seq)` Does this group contain the sequence
`GappedSequence` | `getGappedSequenceAt(int index)`
`int` | `getNumberSequences()` Return the number of sequences in this group.
`Sequence` | `getSequenceAt(int index)`
`Sequence[]` | `getSequences()` Get all the sequences in this group.
`Iterator` | `iterator()` Returns an iterator of all the sequences.
`void` | `removeSequenceFromGroup(Sequence seq)` Removes a sequence from this group

Methods inherited from class uk.ac.man.bioinf.sequence.group.AbstractGappedSequenceGroup
`getGappedSequences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGappedSequenceGroup

    public DefaultGappedSequenceGroup()

Method Detail

### addSequenceToGroup

    public void addSequenceToGroup(Sequence seq)

  Description copied from interface: `SequenceGroup`
  Adds a sequence to this group

  Parameters:
    `seq` - the sequence

### removeSequenceFromGroup

    public void removeSequenceFromGroup(Sequence seq)

  Description copied from interface: `SequenceGroup`
  Removes a sequence from this group

  Parameters:
    `seq` - the sequence

### containsSequence

    public boolean containsSequence(Sequence seq)

  Description copied from interface: `SequenceGroup`
  Does this group contain the sequence

  Parameters:
    `seq` - the sequence
  Returns:
    true if containined

### getSequences

    public Sequence[] getSequences()

  Description copied from interface: `SequenceGroup`
  Get all the sequences in this group.

  Returns:

### clearSequences

    public void clearSequences()

  Description copied from interface: `SequenceGroup`
  Empty the group of sequences

### getNumberSequences

    public int getNumberSequences()

  Description copied from interface: `SequenceGroup`
  Return the number of sequences in this group.

  Returns:
    the number

### getSequenceAt

    public Sequence getSequenceAt(int index)

### getGappedSequenceAt

    public GappedSequence getGappedSequenceAt(int index)

### iterator

    public Iterator iterator()

  Description copied from interface: `SequenceGroup`
  Returns an iterator of all the sequences. This should be fail fast if the group is modified whilst the iterator is being used.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD